Get the authorized subject of the resource
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get the authorized subject of the resource
Method name
ManagementClient.getResourceAuthorizedTargets
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| resource | string | yes | - | Resource | ecs:1 |
| namespace | string | no | default | Permission group | |
| targetType | string | no | - | Target object type: - USER: User- ROLE: Role- GROUP: Group- DEPARTMENT: Department | USER |
| page | number | No | 1 | Current page number, starting from 1 | 1 |
| limit | number | No | 10 | Number per page, maximum cannot exceed 50, default is 10 | 10 |
Sample code
ts
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.getResourceAuthorizedTargets({
resource: "ecs:1",
namespace: "default",
targetType: Models.GetResourceAuthorizedTargetsDto.targetType.USER,
page: 1,
limit: 10,
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: GetResourceAuthorizedTargetRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a GetResourceAuthorizedTargetDataDto | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"totalCount": 10,
"list": {
"targetType": "USER",
"targetIdentifier": "code",
"actions": "[\"ecs:Start\",\"ecs:Stop\"]"
}
}
}Data structure
GetResourceAuthorizedTargetDataDto
| Name | Type | Is it required? | Description | Example value |
|---|---|---|---|---|
| totalCount | number | yes | total | 10 |
| list | array | yes | list of elements Nested type: <a ResourceAuthorizedTargetDto. |
ResourceAuthorizedTargetDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| targetType | string | Yes | Subject type | USER |
| targetIdentifier | string | Yes | Subject unique identifier | code |
| actions | array | Yes | Action list | ["ecs:Start","ecs:Stop"] |